Subject: Re: [bug#40753] gnu: spacefm: Add missing dependencies.

From: Jan Nieuwenhuizen <[email-masked]>
Date: Wed, 22 Apr 2020 08:46:38 +0200

Raghav Gururajan writes:

Hello!

> BLOCKERS: #40630 and #40752.

...what does this mean?

>>>From fac881e2820c08e09c8f3e42699ba25b8b9f4004 Mon Sep 17 00:00:00 2001
> From: Raghav Gururajan <[email-masked]>
> Date: Tue, 21 Apr 2020 17:23:21 -0400
> Subject: [PATCH 3/3] gnu: spacefm: Add missing dependencies.

> * gnu/packages/lxde.scm (spacefm): Add missing dependencies.

It builds OK without this patch; it does not seem that any dependencies
are missing.  Could it be that these dependencies change or amend its
behaviour?

After applying this patch, spacefm does not build for me, I get

--8<---------------cut here---------------start------------->8---
$ ./pre-inst-env guix build spacefm
ice-9/eval.scm:223:20: In procedure proc:
error: eject: unbound variable
hint: Did you forget a `use-modules' form?
--8<---------------cut here---------------end--------------->8---

I am feeling a bit uncomfortable about the fact that you pinged me to
"push" this patch, it seems it needs a bit more attention than that.

Greetings,
janneke

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar® http://AvatarAcademy.com